Get exception list details

Base URL
https://{kibana_url}
  • GET /api/exception_lists
  • GET /s/{space_id}/api/exception_lists
Auth

Get the details of an exception list using the id or list_id field.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

id string · format: nonempty · min length: 1

Exception list's identifier. Either id or list_id must be specified.

Example: 9e5fc75a-a3da-46c5-96e3-a2ec59c6bb85
list_id string · format: nonempty · min length: 1

Human readable exception list string identifier, e.g. trusted-linux-processes. Either id or list_id must be specified.

Example: simple_list
namespace_type enum

When single, the list is resolved in the current Kibana space. When agnostic, the list is a global (space-agnostic) container. Required for looking up the correct list when list_id is not unique.

Values: agnostic single

Responses

Successful response

application/json
_version string

The version id, normally returned by the API when the item was retrieved. Use it ensure updates are done against the latest version.

created_at string · format: date-time required

Autogenerated date of object creation.

created_by string required

Autogenerated value - user that created object.

description string required

Describes the exception list.

id string · format: nonempty · min length: 1 required

Exception list's identifier.

immutable boolean required
list_id string · format: nonempty · min length: 1 required

The exception list's human-readable string identifier.

For endpoint artifacts, use one of the following values:

  • endpoint_list: Elastic Endpoint exceptions list
  • endpoint_trusted_apps: Trusted applications list
  • endpoint_trusted_devices: Trusted devices list
  • endpoint_event_filters: Event filters list
  • endpoint_host_isolation_exceptions: Host isolation exceptions list
  • endpoint_blocklists: Blocklist
meta object

Placeholder for metadata about the list container.

name string required

The name of the exception list.

namespace_type enum required

Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:

  • single: Only available in the Kibana space in which it is created.
  • agnostic: Available in all Kibana spaces.

For endpoint artifacts, the namespace_type must always be agnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments.

Values: agnostic single
os_types enum[]

Use this field to specify the operating system. Only enter one value.

Values: linux macos windows
tags string[]

String array containing words and phrases to help categorize exception containers.

tie_breaker_id string required

Field used in search to ensure all containers are sorted and returned correctly.

type enum required

The type of exception list to be created. Different list types may denote where they can be utilized.

Values: detection rule_default endpoint endpoint_trusted_apps endpoint_trusted_devices endpoint_events endpoint_host_isolation_exceptions endpoint_blocklists endpoint_custom_yara_signatures
updated_at string · format: date-time required

Autogenerated date of last object update.

updated_by string required

Autogenerated value - user that last updated object.

version integer · min: 1 required

The document version, automatically increasd on updates.

Invalid input data response

application/json
One of:
error string required
message string required
statusCode integer required

Unsuccessful authentication response

application/json
error string required
message string required
statusCode integer required

Not enough privileges response

application/json
error string required
message string required
statusCode integer required

Exception list item not found response

application/json
message string required
status_code integer required

Internal server error response

application/json
message string required
status_code integer required
Base URL
https://{kibana_url}